Bug 414791 - Review Request: evolution-zimbra - An Evolution extension for the Zimbra Collaboration Suite
Review Request: evolution-zimbra - An Evolution extension for the Zimbra Coll...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-06 15:20 EST by Matthew Barnes
Modified: 2008-01-15 23:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 23:21:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthew Barnes 2007-12-06 15:20:17 EST
Spec URL: http://mbarnes.fedorapeople.org/evolution-zimbra.spec
SRPM URL: http://mbarnes.fedorapeople.org/evolution-zimbra-0.1.0-1.fc9.src.rpm

Description:

The Zimbra Evolution Connector allows Evolution to access mail, calendars, and contacts on a Zimbra server.

Note that there has never been a formal release of this software.  Around the time Zimbra was purchased by Yahoo, they dumped their Evolution Connector into the public domain.  The project, such as it is, is now hosted at SourceForge [1].  It's not clear whether Zimbra is still interested in supporting it.

[1] http://sourceforge.net/projects/zimbraevo
Comment 1 Marek Mahut 2007-12-06 16:57:19 EST
+ Package is named according to the Package Naming Guidelines.
+ Spec file name must match the base package %{name}, in the format %{name}.spec.
+ Package meets the Packaging Guidelines.
+ Rpmlint output is sine.
+ Buildroot is correct.
+ Package does not contain duplicates in %files.
+ Permissions on files are set properly.
+ Package must own all directories that it creates.
+ Latest version is packaged (svn).
- Package successfully compiles and builds into binary rpms on at least one
supported architecture. 

Fails in mock, check
   
    http://koji.fedoraproject.org/koji/taskinfo?taskID=280030
Comment 2 Matthew Barnes 2007-12-11 14:43:56 EST
Spec URL: http://mbarnes.fedorapeople.org/evolution-zimbra.spec
SRPM URL: http://mbarnes.fedorapeople.org/evolution-zimbra-0.1.0-2.fc9.src.rpm

Fixed mock errors and also rolled a new tarball from Subversion (revision 3),
which now includes my "up-and-running" patch.

I also now have a patch for Fedora 8, which just involves changing a few version
numbers (http://mbarnes.fedorapeople.org/evolution-zimbra.f8.patch).
Comment 3 Marek Mahut 2007-12-17 02:45:43 EST
Thank you Matt, the package builds correctly and matches our packaging guidelines.

APPROVED.
Comment 4 Marek Mahut 2007-12-17 02:47:57 EST
Matt, please can you put me as co-maintainer of this package? Thanks!
Comment 5 Matthew Barnes 2008-01-15 17:04:48 EST
Oh geez, didn't notice you had approved it until now.

Sure, I'll add you as co-maintainer once the packages are in CVS.
Comment 6 Matthew Barnes 2008-01-15 17:07:55 EST
New Package CVS Request
=======================
Package Name: evolution-zimbra
Short Description: Allows Evolution to connect to the Zimbra Collaboration Suite
Owners: mbarnes@redhat.com,mmahut@redhat.com
Branches: FC-8
InitialCC: 
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-01-15 21:40:38 EST
Please use fedora account names in the Owners field. 
I assume you mean F-8, as there is no FC-8? :) 

cvs done. 
Comment 8 Matthew Barnes 2008-01-15 23:21:33 EST
(In reply to comment #7)
> I assume you mean F-8, as there is no FC-8? :) 

Yes, thanks.

Note You need to log in before you can comment on or make changes to this bug.